io.vertx.redis.client

## Class RedisException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.redis.client.RedisException

- All Implemented Interfaces:
    Serializable

  Deprecated.

      @Deprecated
      public final class RedisException
      extends RuntimeException

  Maps a redis error message to a JVM Exception type. Redis Errors have no trace so this throwable will not contain a stacktrace.
  Author:
    Paulo Lopes
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisException(String message)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `is(String type)` Deprecated. Redis error messages follow the sintax: ERROR_TYPE error detail message This method will evaluate is the given type matches the message ERROR_TYPE.
    `String` | `slice(char sep, int index)` Deprecated. Some messages are well formatted and allow extracting data from.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RedisException

          public RedisException(String message)

      Deprecated.

  - ### Method Detail

    - #### is

          public boolean is(String type)

      Deprecated.
      Redis error messages follow the sintax: ERROR_TYPE error detail message This method will evaluate is the given type matches the message ERROR_TYPE.
      Parameters:
        `type` - a type
      Returns:
        true if match.

    - #### slice

          public String slice(char sep,
                              int index)

      Deprecated.
      Some messages are well formatted and allow extracting data from. This method will extract the indexed slice of the message given the seperator sep.
      Parameters:
        `sep` - a char seperator
        `index` - the desired index.
      Returns:
        the slice or null.

Copyright © 2021 Eclipse. All rights reserved.